Package weka.core.pmml.jaxbbindings

# Class Value

java.lang.Object
weka.core.pmml.jaxbbindings.Value

public class Value extends Object

Java class for Value element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Value">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="displayValue" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="property" default="valid">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="valid"/>
                   <enumeration value="invalid"/>
                   <enumeration value="missing"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Value()`
  `Value(String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayValue()`
  Gets the value of the displayValue property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getProperty()`
  Gets the value of the property property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setDisplayValue(String value)`
  Sets the value of the displayValue property.
  `void`
  `setProperty(String value)`
  Sets the value of the property property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Value

    public Value()

  - ### Value

    public Value(String value)

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getDisplayValue

    public String getDisplayValue()
    Gets the value of the displayValue property.
    Returns:
      possible object is `String`

  - ### setDisplayValue

    public void setDisplayValue(String value)
    Sets the value of the displayValue property.
    Parameters:
      `value` - allowed object is `String`

  - ### getProperty

    public String getProperty()
    Gets the value of the property property.
    Returns:
      possible object is `String`

  - ### setProperty

    public void setProperty(String value)
    Sets the value of the property property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`